package com.seeyon.apps.src_powerfeeinvoice;

import com.seeyon.apps.common.plugin.api.APluginInfoApi;
import com.seeyon.apps.common.plugin.vo.ConfigVo;
import com.seeyon.apps.src_hxinvoice.constants.HxinvoiceConstants;
import com.seeyon.apps.src_powerfeeinvoice.constants.PowerFeeInvoiceConstants;

public class PowerFeeInvoicePluginApi extends APluginInfoApi {
    public PowerFeeInvoicePluginApi() {
    }

    public String getPluginId() {
        System.out.println(PowerFeeInvoiceConstants.getPluginId());
        return PowerFeeInvoiceConstants.getPluginId();
    }

    public String getCreateUser() {
        return "橙阳科技";
    }

    public String getDescription() {
        return "三峡旅游水电费开票";
    }

    public ConfigVo getDefaultConfig() {
        ConfigVo configVo = new ConfigVo();
        PowerFeeInvoiceConstants[] var2 = PowerFeeInvoiceConstants.values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            PowerFeeInvoiceConstants value = var2[var4];
            if (value != PowerFeeInvoiceConstants.plugin) {
                configVo.getDevParams().put(value.name(), value.getDefaultValue());
                configVo.getProdParams().put(value.name(), value.getDefaultValue());
                configVo.getParamMap().put(value.name(), value.getDescription());
            }
        }

        return configVo;
    }

}

